Bug 183968 - [patch update] security/revealrk: fix build, staging support
Summary: [patch update] security/revealrk: fix build, staging support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-14 19:30 UTC by Kurt Jaeger
Modified: 2013-11-18 15:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.85 KB, patch)
2013-11-14 19:30 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-11-14 19:30:00 UTC
	fix build, staging support

How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2013-11-14 19:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

wg@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski 2013-11-14 20:10:20 UTC
Hi,

That patch doesn't look quite right.
Why change gcc to clang? why not cc?

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 Kurt Jaeger 2013-11-14 20:32:09 UTC
Hi!

> That patch doesn't look quite right.
> Why change gcc to clang? why not cc?

You're right, that would be more portable. Can you change the patch
or should I resubmit ?

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 4 William Grzybowski freebsd_committer 2013-11-18 15:06:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-11-18 15:06:51 UTC
Author: wg
Date: Mon Nov 18 15:06:43 2013
New Revision: 334205
URL: http://svnweb.freebsd.org/changeset/ports/334205

Log:
  security/revealrk: stagify and respect CC
  
  PR:		ports/183968
  Submitted by:	maintainer

Modified:
  head/security/revealrk/Makefile
  head/security/revealrk/files/patch-SConstruct

Modified: head/security/revealrk/Makefile
==============================================================================
--- head/security/revealrk/Makefile	Mon Nov 18 14:57:05 2013	(r334204)
+++ head/security/revealrk/Makefile	Mon Nov 18 15:06:43 2013	(r334205)
@@ -11,18 +11,16 @@ COMMENT=	Search hidden procs/rootkits fr
 
 LICENSE=	GPLv3
 
-PLIST_FILES=	bin/revealrk
-MAN1=		revealrk.1
+PLIST_FILES=	bin/revealrk man/man1/revealrk.1.gz
 
 MANCOMPRESSED=	yes
 NO_MANCOMPRESS=	yes
 
 USE_SCONS=	yes
 .if !empty(PREFIX)
-SCONS_ARGS=	--prefix=${PREFIX}
+SCONS_ARGS=	--prefix=${STAGEDIR}${PREFIX}
 .else
-SCONS_ARGS=	--prefix=${LOCALBASE}
+SCONS_ARGS=	--prefix=${STAGEDIR}${LOCALBASE}
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/security/revealrk/files/patch-SConstruct
==============================================================================
--- head/security/revealrk/files/patch-SConstruct	Mon Nov 18 14:57:05 2013	(r334204)
+++ head/security/revealrk/files/patch-SConstruct	Mon Nov 18 15:06:43 2013	(r334205)
@@ -1,5 +1,5 @@
---- SConstruct.orig	2013-01-04 23:07:07.000000000 +0100
-+++ SConstruct	2013-01-04 23:08:37.000000000 +0100
+--- SConstruct.orig	2013-01-03 09:06:35.000000000 +0100
++++ SConstruct	2013-11-14 20:18:29.000000000 +0100
 @@ -13,7 +13,7 @@
  pkg_files = prog_files + Split('revealrk.1 SConstruct changelog license.txt README INSTALL cron.example Makefile config.h')
  
@@ -9,6 +9,15 @@
  clean_all = not GetOption('clean_all') is None
  static    = not GetOption('static') is None
  build_tgz = not GetOption('tgz') is None
+@@ -97,7 +97,7 @@
+ 
+ ########## Environment ##########
+ 
+-env = Environment(CC = 'gcc', CCFLAGS = '-std=c99 -Wall -pedantic')
++env = Environment(CC = 'cc', CCFLAGS = '-std=c99 -Wall -pedantic')
+ if not env.GetOption('clean'):
+     if not verbose:
+         env['CCCOMSTR'] = 'Compiling $TARGET'
 @@ -147,8 +147,8 @@
          conf.env.Append(LINKFLAGS = ' -static')
      env = conf.Finish()
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"